Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Connecting failed RC to P3P using RC FW 1.4.01

Discussion in 'Pro/Adv Discussion' started by hudiaratama, Aug 13, 2015.

  1. hudiaratama

    Joined:
    Jul 25, 2015
    Messages:
    38
    Likes Received:
    3
    1439477095552.jpg

    After success upgrading RC FW to 1.4.0.1 which is recommended by DJI GO im failed to connect the RC to P3P even the LED status on RC is green light

    1439477237621.jpg

    DJI GO said that the aircraft must required upgrade ? I alredy have the newest firmware for the aircraft 1.3.20

    1439477347985.jpg

    How should I do ?

    1439477373958.jpg

    =======================

    Problem solved.. just need to turn off and turn on again the P3P and it will connect each other...

    By the way my P3P updated to 1.3.20+ (Plus..yes Plus) after upgrade the RC to 1.4.0.1

    Anyone know whats new on 1.3.20+ ?
     
    #1 hudiaratama, Aug 13, 2015
    Last edited: Aug 13, 2015
  2. dysan911

    Joined:
    Mar 12, 2015
    Messages:
    298
    Likes Received:
    60
    Did you already attempt to Relink the RC & Phantom?
     
  3. suck it up

    Joined:
    Apr 25, 2015
    Messages:
    324
    Likes Received:
    72

    .................................. Too slow, dysan911 beat me to it!
     
  4. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    18,782
    Likes Received:
    5,530
    Location:
    US
  5. hudiaratama

    Joined:
    Jul 25, 2015
    Messages:
    38
    Likes Received:
    3
    Problem solved..no need to relink the RC with the P3P

    Just need to turn off and turn on again after that my RV already connect to my P3P

    And....my P3P now using FW 1.3.20+


    Yes 1.3.20+ (Plus)

    Did anyone know the difference?
     
  6. hudiaratama

    Joined:
    Jul 25, 2015
    Messages:
    38
    Likes Received:
    3
  7. bimmy

    Joined:
    Jun 17, 2015
    Messages:
    64
    Likes Received:
    17
    I have the same thing . You found out more about this? Strange thing by mine is written fw not up to date . And I also have the 1.3.20+
     
  8. bimmy

    Joined:
    Jun 17, 2015
    Messages:
    64
    Likes Received:
    17
    I don't get it :confused:
     

    Attached Files:

  9. REBELimgs

    Joined:
    Jul 12, 2015
    Messages:
    341
    Likes Received:
    91
    I've upgraded to 1.3.2 and for some reason my app says I'm on 1.2.6+